function TestCommands(in_pDevice)
{
   // получение количества                         
   var l_iCommandsCount = in_pDevice.GetCommandsCount();
   
   IR.Log("l_iCommandsCount = " + l_iCommandsCount);
   
   // обход всех
   for(var i = 0; i < l_iCommandsCount; i++)
   {
      // получение по индексу позиции
      var l_pCommand = in_pDevice.GetCommandAtPos(i);
      IR.Log("POS: l_pCommand(" + i + ") = id:" + l_pCommand.id + " name:" + l_pCommand.name + " fullname:" + l_pCommand.fullname);
   }
   
   // получение по идентификатору
   var l_pCommand = in_pDevice.GetCommandAtName(1);
   IR.Log("ID: l_pCommand = id:" + l_pCommand.id + " name:" + l_pCommand.name + " fullname:" + l_pCommand.fullname);
   
   // получениепо имени
   var l_pCommand = in_pDevice.GetCommandAtName("nativeAV.Command 1");
   IR.Log("Name(Command 1): l_pCommand = id:" + l_pCommand.id + " name:" + l_pCommand.name + " fullname:" + l_pCommand.fullname);
   
   var l_pCommand = in_pDevice.GetCommandAtName("nativeAV.Command 2");
   IR.Log("Name(Command 2): l_pCommand = id:" + l_pCommand.id + " name:" + l_pCommand.name + " fullname:" + l_pCommand.fullname);
   
   var l_pCommand = in_pDevice.GetCommandAtName("nativeAV.Command 3");
   IR.Log("Name(Command 3): l_pCommand = id:" + l_pCommand.id + " name:" + l_pCommand.name + " fullname:" + l_pCommand.fullname);
   
   var l_pCommand = in_pDevice.GetCommandAtName("nativeAV.Command 4");
   IR.Log("Name(Command 4): l_pCommand = id:" + l_pCommand.id + " name:" + l_pCommand.name + " fullname:" + l_pCommand.fullname);
}

// тестирование работы с обраткой
function TestFeedbacks(in_pDevice)
{
   // получение количества
   var l_iFeedbacksCount = in_pDevice.GetFeedbacksCount();
   
   IR.Log("l_iFeedbacksCount = " + l_iFeedbacksCount);
   
   // обход всех
   for(var i = 0; i < l_iFeedbacksCount; i++)
   {
      // получение по индексу позиции
      var l_pFeedback = in_pDevice.GetFeedbackAtPos(i);
      IR.Log("POS: l_pFeedback(" + i + ") = name:" + l_pFeedback.name + " fullname:" + l_pFeedback.fullname);
   }
      
   // получение по имени
   var l_pFeedback = in_pDevice.GetFeedbackAtName("nativeAV.Feedback 1");
   IR.Log("Name(Feedback 1): l_pFeedback = name:" + l_pFeedback.name + " fullname:" + l_pFeedback.fullname);
   
   var l_pFeedback = in_pDevice.GetFeedbackAtName("nativeAV.Feedback 2");
   IR.Log("Name(Feedback 2): l_pFeedback = name:" + l_pFeedback.name + " fullname:" + l_pFeedback.fullname);
   
   var l_pFeedback = in_pDevice.GetFeedbackAtName("nativeAV.Feedback 3");
   IR.Log("Name(Feedback 3): l_pFeedback = name:" + l_pFeedback.name + " fullname:" + l_pFeedback.fullname);
   
   var l_pFeedback = in_pDevice.GetFeedbackAtName("nativeAV.Feedback 4");
   IR.Log("Name(Feedback 4): l_pFeedback = name:" + l_pFeedback.name + " fullname:" + l_pFeedback.fullname);
}

IR.AddListener(IR.EVENT_START, 0, function()  // Actions are performed at start
{
   var l_pDevice = IR.GetServer();
   TestCommands(l_pDevice);
   TestFeedbacks(l_pDevice);
});